org.apache.ignite.internal.visor.snapshot

## Class VisorSnapshotCreateTaskArg

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.visor.snapshot.VisorSnapshotCheckTaskArg
    - - org.apache.ignite.internal.visor.snapshot.VisorSnapshotCreateTaskArg

All Implemented Interfaces:
  Externalizable, Serializable

Direct Known Subclasses:
  VisorSnapshotRestoreTaskArg

    public class VisorSnapshotCreateTaskArg
    extends VisorSnapshotCheckTaskArg

Argument for the task to create snapshot.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
Constructor and Description
`VisorSnapshotCreateTaskArg()` Default constructor.
`VisorSnapshotCreateTaskArg(String snpName, String snpPath, boolean sync)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `readExternalData(byte ver, ObjectInput in)` Load object's specific data content.
`boolean` `sync()`
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.snapshot.VisorSnapshotCheckTaskArg

`snapshotName, snapshotPath`

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorSnapshotCreateTaskArg

    public VisorSnapshotCreateTaskArg()

Default constructor.

#### VisorSnapshotCreateTaskArg

    public VisorSnapshotCreateTaskArg(String snpName,
                                      String snpPath,
                                      boolean sync)

Parameters:
  `snpName` - Snapshot name.
  `snpPath` - Snapshot directory path.
  `sync` - Synchronous execution flag.

### Method Detail

#### sync

    public boolean sync()

Returns:
  Synchronous execution flag.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Overrides:
  `writeExternalData` in class `VisorSnapshotCheckTaskArg`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte ver,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Overrides:
  `readExternalData` in class `VisorSnapshotCheckTaskArg`
Parameters:
  `ver` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `VisorSnapshotCheckTaskArg`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022